Subject: [Fot] Towing

From: John Frymark via Fot <[email-masked]>
Date: Wed, 23 Sep 2020 13:46:39 -0500

Everyone will have an opinion! It’s hard to beat a big diesel if you have a load like yours. I have a 07 F250 2wd camper special with 2000# of truckbed camper pulling 24’ enclosed trailer weighing at least 6500# without a sweat, gets 12mpg and sounds like a diesel truck. I also have a 17 F250 FX4 off-road that’s much more “sophisticated”. (Remember I’m in Texas). Also pulls like like there’s no trailer attached and gets 15+mpg towing. However. 800# tongue weight puts the suspension down on the stops. It needs air lifts if I tow more with it. 
Good luck!

John Frymark

Sent from my iPad
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]